import PyTango
import json
from concert.networking.base import get_tango_device


class Emma(object):

    def __init__(self, uri='anka/astor/emma'):
        self.device = get_tango_device(uri)

    @property
    def running(self):
        return self.device.State() == PyTango._PyTango.DevState.RUNNING

    @property
    def proposal_id(self):
        return self.device.ProposalId

    @property
    def metadata(self):
        return json.loads(self.device.ProposalMetadata)
